Open CASCADE Technology: NIS_TriangulatedDrawer Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
NIS_TriangulatedDrawer Class Reference

`#include <NIS_TriangulatedDrawer.hxx>`

Inheritance diagram for NIS_TriangulatedDrawer:
[legend]

## Public Member Functions
| NIS_TriangulatedDrawer (const Quantity_Color theNormal, const Quantity_Color theHilight=Quantity_NOC_GRAY80, const Quantity_Color theDynHilight=Quantity_NOC_CYAN1)
virtual void | Assign (const Handle< NIS_Drawer > &theOther)
virtual void | BeforeDraw (const DrawType theType, const NIS_DrawList &theDrawList)
virtual void | AfterDraw (const DrawType theType, const NIS_DrawList &theDrawList)
virtual void | Draw (const Handle< NIS_InteractiveObject > &, const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_Boolean | IsEqual (const Handle< NIS_Drawer > &theOth) const
Public Member Functions inherited from NIS_Drawer
| NIS_Drawer ()
virtual | ~NIS_Drawer ()
NIS_InteractiveContext * | GetContext () const
virtual const Bnd_B3f & | GetBox (const NIS_View *pView=0L) const
void | SetUpdated (const DrawType theType) const
void | SetUpdated (const DrawType theType1, const DrawType theType2) const
void | SetUpdated (const DrawType theType1, const DrawType theType2, const DrawType theType3) const
void | SetUpdated (const DrawType theType1, const DrawType theType2, const DrawType theType3, const DrawType theType4) const
void | SetDynamicHilighted (const Standard_Boolean isHilighted, const Handle< NIS_InteractiveObject > &theObj, const Handle< NIS_View > &theView=0L)
virtual Standard_Integer | HashCode (const Standard_Integer theN) const
TColStd_MapIteratorOfPackedMapOfInteger | ObjectIterator () const
NCollection_List< NIS_DrawList * > | GetLists () const
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Attributes
Standard_Boolean | myPolygonAsLineLoop
Quantity_Color | myColor [5]
Standard_ShortReal | myLineWidth
Standard_Boolean | myIsDrawPolygons
unsigned int | myPolygonType
Protected Attributes inherited from NIS_Drawer
NCollection_List< NIS_DrawList * > | myLists
Standard_ShortReal | myTransparency
Standard_Integer | myIniId
| ID of the initializing InteractiveObject. It is never changed, can be used to compute hash code of the Drawer instance. More...
Standard_Integer | myObjPerDrawer
| Maximal range of IDs of objects in one drawer. Limits the size of draw lists. Can be initialized only in constructor (default 1024). It is strictly prohibited to change this value outside the constructor. More...

## Additional Inherited Members
Public Types inherited from NIS_Drawer
enum | DrawType { Draw_Normal = 0, Draw_Top = 1, Draw_Transparent = 2, Draw_Hilighted = 3, Draw_DynHilighted = 4 }
Protected Member Functions inherited from NIS_Drawer
void | UpdateExListId (const Handle< NIS_View > &theView) const
virtual void | redraw (const DrawType theType, const Handle< NIS_View > &theView)
void | addObject (const NIS_InteractiveObject *theObj, const Standard_Boolean isShareList, const Standard_Boolean isUpVws)
void | removeObject (const NIS_InteractiveObject *theObj, const Standard_Boolean isUpVws)
virtual NIS_DrawList * | createDefaultList (const Handle< NIS_View > &) const
Standard_Integer | NObjects () const
| Get the number of interactive objects in this drawer. More...

## Detailed Description

Drawer for interactive object type NIS_Triangulated.

## Constructor & Destructor Documentation

NIS_TriangulatedDrawer::NIS_TriangulatedDrawer | ( | const Quantity_Color | theNormal,
|  | const Quantity_Color | theHilight = `Quantity_NOC_GRAY80`,
|  | const Quantity_Color | theDynHilight = `Quantity_NOC_CYAN1`
| ) |  |

Constructor.

## Member Function Documentation

virtual void NIS_TriangulatedDrawer::AfterDraw | ( | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) |  |
| virtual

Called after execution of Draw(), once per group of interactive objects.

Reimplemented from NIS_Drawer.

virtual void NIS_TriangulatedDrawer::Assign | ( | const Handle< NIS_Drawer > & | theOther | ) |
| virtual

Copy the relevant information from another instance of Drawer. raises exception if theOther has incompatible type (test IsKind).

Reimplemented from NIS_Drawer.

virtual void NIS_TriangulatedDrawer::BeforeDraw | ( | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) |  |
| virtual

Called before execution of Draw(), once per group of interactive objects.

Reimplemented from NIS_Drawer.

virtual void NIS_TriangulatedDrawer::Draw | ( | const Handle< NIS_InteractiveObject > & | ,
|  | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) |  |
| virtual

Main function: display the given interactive object in the given view.

Implements NIS_Drawer.

virtual Standard_Boolean NIS_TriangulatedDrawer::IsEqual | ( | const Handle< NIS_Drawer > & | theOth | ) | const
| virtual

Matching two instances, for Map interface.

Reimplemented from NIS_Drawer.

## Field Documentation

Quantity_Color NIS_TriangulatedDrawer::myColor[5]
| protected

Standard_Boolean NIS_TriangulatedDrawer::myIsDrawPolygons
| protected

Standard_ShortReal NIS_TriangulatedDrawer::myLineWidth
| protected

Standard_Boolean NIS_TriangulatedDrawer::myPolygonAsLineLoop
| protected

If myPolygonAsLineLoop is true then draw polygons of the object in the mode GL_LINE_LOOP instead of GL_POLYGON in the case if no filling was requested. This will eliminate the bug with Intel integrated graphic cards (e.g. 945G Express) for the sake of polygon offset functionality.

unsigned int NIS_TriangulatedDrawer::myPolygonType
| protected

The documentation for this class was generated from the following file:

- NIS_TriangulatedDrawer.hxx